WHATIS(1)

NAAM
whatis - display one-line manual page descriptions

SAMENVATTING
whatis [-dlv?V] [-r|-w] [-s list] [-m system[,...]] [-M path] [-L locale] [-C file] name ...

BESCHRIJVING
Each manual page has a short description available within it. whatis searches the manual page names and displays the manual page descriptions of any name matched.

name may contain wildcards (-w) or be a regular expression (-r). Using these options, it may be necessary to quote the name or escape (\) the special characters to stop the shell from interpreting them.

index databases are used during the search, and are updated by the mandb program. Depending on your installation, this may be run by a periodic cron job, or may need to be run manually after new manual pages have been installed. To produce an old style text whatis database from the relative index database, issue the command:

whatis -M manpath -w '*' | sort > manpath/whatis

where manpath is a manual page hierarchy such as /usr/man.

OPTIES

-d, --debug
    Foutinformatie tonen.

-v, --verbose
    Uitgebreide waarschuwingsmeldingen tonen.

-r, --regex
    Interpret each name as a regular expression. If a name matches any part of a page name, a match will be made. This option causes whatis to be somewhat slower due to the nature of database searches.

-w, --wildcard
    Interpret each name as a pattern containing shell style wildcards. For a match to be made, an expanded name must match the entire page name. This option causes whatis to be somewhat slower due to the nature of database searches.

-l, --long
    Uitvoer niet afbreken op terminalbreedte. Normaal zal uitvoer afgekapt worden op de breedte van de terminal om lelijke resultaten van slechtgeschreven NAAM-secties te voorkomen.

-s list, --sections=list, --section=list
    Search only the given manual sections. list is a colon- or comma-separated list of sections. If an entry in list is a simple section, for example "3", then the displayed list of descriptions will include pages in sections "3", "3perl", "3x", and so on; while if an entry in list has an extension, for example "3perl", then the list will only include pages in that exact part of the manual section.

-m systeem[,...], --systems=systeem[,...]
    If this system has access to other operating systems' manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS.

    The system specified can be a combination of comma delimited operating system names. To include a search of the native operating system's manual page names, include the system name man in the argument string. This option will override the $SYSTEM environment variable.

-M pad, --manpath=pad
    Specificeer een alternatieve hiërarchie van man-pagina's om te doorzoeken, gescheiden door dubbelepunten. Standaard gebruikt whatis de omgevingsvariabele $MANPATH, behalve als deze leeg of niet-gedefinieerd is. In die gevallen wordt een passend man-pad bepaald op basis van uw omgevingsvariabele $PATH. Deze optie gaat voor op de inhoud van $MANPATH.

-L taalgebied, --locale=taalgebied
    whatis zal normaal uw huidige taalgebied bepalen met een aanroep van de C-functie setlocale(3) die verschillende omgevingsvariabelen bevraagt, waaronder mogelijk $LC_MESSAGES en $LANG. Om de vastgestelde waarde tijdelijk te overschrijven gebruikt u deze optie om een taalgebied direct aan whatis door te geven. Merk op dat dit geen effect heeft totdat het zoeken naar de pagina's daadwerkelijk begint. Uitvoer zoals de hulptekst zal altijd getoond worden in de taal die in eerste instantie bepaald is.

-C bestand, --config-file=bestand
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Een hulptekst tonen en stoppen.

--usage
    Print a short usage message and exit.

-V, --version
    Versieinformatie tonen.

STOPSTATUS

0   Programma correct uitgevoerd.

1   Gebruiks-, syntax- of configuratiebestandfout.

2   Uitvoeringsfout.

16  Er is niets gevonden dat overeenkomt met de opgegeven criteria.

OMGEVING

SYSTEM
    Wanneer $SYSTEM is opgegeven, heeft dit hetzelfde effect als het opgegeven van optie -m als argument.

MANPATH
    Wanneer $MANPATH is opgegeven, wordt de waarde geïnterpreteerd als een zoekpad van dubbelepuntgescheiden hiërarchie van man-pagina's.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

BESTANDEN

/usr/share/man/index.(bt|db|dir|pag)
    Een traditionele, algemene index-database-cache.

/var/cache/man/index.(bt|db|dir|pag)
    Een algemene index-database-cache, in overeenstemming met FHS.

/usr/share/man/.../whatis
    Een traditionele watis-tekstdatabase.

ZIE OOK
apropos(1), man(1), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BUGS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db